import 'element-plus/dist/index.css';
import 'element-plus/theme-chalk/dark/css-vars.css';
import ElementPlus from 'element-plus';
import * as Icons from '@element-plus/icons-vue';
import zhCn from 'element-plus/es/locale/lang/zh-cn';

export function setupElementPlus(app) {
  // 注册Icons
  Object.keys(Icons).forEach((key) => {
    app.component(key, Icons[key]);
  });

  app.use(ElementPlus, {
    locale: zhCn,
  });
}
